﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;

namespace CSHTML5V2Play
{
    public partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();

            // Enter construction logic here...
        }

        private void UnitsRadioButton_Checked(object sender, RoutedEventArgs e)
        {
            if (SingleUnitStackPanel != null && MultipleUnitsStackPanel != null)
            {
                if (SingleUnitRadioButton.IsChecked.HasValue && (bool)SingleUnitRadioButton.IsChecked)
                {
                    SingleUnitStackPanel.Visibility = Visibility.Visible;
                    MultipleUnitsStackPanel.Visibility = Visibility.Collapsed;
                    ShippingInfoStackPanel.Visibility = Visibility.Visible;
                    ShippingInfoStackPanel.Visibility = Visibility.Visible;
                    if ((bool)DirectToRecipientRadioButton.IsChecked)
                    {
                        DirectToRecipientStackPanel.Visibility = Visibility.Visible;
                        ToMyOfficeStackPanel.Visibility = Visibility.Collapsed;
                    }
                    else
                    {
                        DirectToRecipientStackPanel.Visibility = Visibility.Collapsed;
                        ToMyOfficeStackPanel.Visibility = Visibility.Visible;
                    }
                    // DirectToRecipientStackPanel.Visibility = Visibility.Collapsed;
                    // ToMyOfficeStackPanel.Visibility = Visibility.Collapsed;
                    // GeneralAddressStackPanel.Visibility = Visibility.Collapsed;
                    GeneralAddressStackPanel.Visibility = Visibility.Visible;
                }
                else if (MultipleUnitsRadioButton.IsChecked.HasValue && (bool)MultipleUnitsRadioButton.IsChecked)
                {
                    SingleUnitStackPanel.Visibility = Visibility.Collapsed;
                    MultipleUnitsStackPanel.Visibility = Visibility.Visible;
                    ShippingInfoStackPanel.Visibility = Visibility.Collapsed;
                    DirectToRecipientStackPanel.Visibility = Visibility.Collapsed;
                    ToMyOfficeStackPanel.Visibility = Visibility.Collapsed;
                    GeneralAddressStackPanel.Visibility = Visibility.Collapsed;
                }
            }
        }
    }
}
